speech-dispatcher-contrib (0.12.1-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
   - autopkgtest: Manually handle systemd user session (LP #2104259)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Nov 2025 09:17:41 +0100

speech-dispatcher-contrib (0.12.1-2) unstable; urgency=medium

  * Upload to unstable.
    - patches/git-punctuation: Upstreamed.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Aug 2025 22:40:04 +0200

speech-dispatcher-contrib (0.12.1-1) experimental; urgency=medium

  * New upstream release.
    - patches/mbrola-paths: Refresh.
    - patches/output-stuck: Upstreamed.
    - patches/git-generic-empty: Upstreamd.
  * rules: Ignore blhc failure when linking modules.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 May 2025 22:43:04 +0200

speech-dispatcher-contrib (0.12.0-5) unstable; urgency=medium

  * rules: Be more precise in blhc ignore.
  * patches/git-punctuation: Fix punctuation levels.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jul 2025 01:34:43 +0200

speech-dispatcher-contrib (0.12.0-4) unstable; urgency=medium

  * patches/git-generic-empty: Fix hang on empty uterances.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 May 2025 21:23:58 +0200

speech-dispatcher-contrib (0.12.0-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Explicitly disable the pico module.
  * patches/output-stuck: Fix speechd getting stuck on some reply/event
    dispatch situations (Closes: Bug#1101805)

  [ Alessandro Astone]
  * tests: Require isolation-container.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Apr 2025 16:27:20 +0200

speech-dispatcher-contrib (0.12.0-2) unstable; urgency=medium

  * Re-integrate 0.11.5-5.1 changes (Closes: Bug#1084827)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2025 21:32:18 +0100

speech-dispatcher-contrib (0.12.0-1ubuntu1) plucky; urgency=medium

  * autopkgtest: Manually handle systemd user session (LP: #2104259).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Apr 2025 15:53:13 +0200

speech-dispatcher-contrib (0.12.0-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#1097914)
    - patches/mbrola-paths: Refresh.
  * control: Make speech-dispatcher-openjtalk depend on open-jtalk and
    recommend the only known dictionary and voice.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Jan 2025 01:09:38 +0100

speech-dispatcher-contrib (0.12.0~rc4-2) experimental; urgency=medium

  * control: Add libspeechd-module0 and speech-dispatcher-openjtalk packages.
  * speech-dispatcher.install: Move libspeechd-module to...
  * libspeechd-module0.install: ... new package.
  * speech-dispatcher-openjtalk.install: Move sd_openjtalk to...
  * speech-dispatcher-openjtalk.install: ... new package.
  * control: Build-dep on libpipewire-0.3-dev only on linux for now.
  * rules: Run dh_makeshlibs on libspeechd-module0 instead of speech-dispatcher.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Oct 2024 22:39:39 +0100

speech-dispatcher-contrib (0.12.0~rc4-1) experimental; urgency=medium

  * New upstream RC release
    - control: Add libpipewire-0.3-dev build-dep.
    - patches/mbrola-paths: Refresh.
    - patches/crash-no-client-hang: Upstreamed.
    - patches/cancel-crash: Upstreamed.
    - speech-dispatcher.install: Install libspeechd_module.
    - rules: Run dh_makeshlibs on speech-dispatcher.
    * control, rules: Make speech-dispatcher-contrib build-depends on
      speech-dispatcher.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Oct 2024 01:13:55 +0100

speech-dispatcher-contrib (0.12.0~rc3-2) experimental; urgency=medium

  * crash-no-client-hang: Fix brltty hanging on spd crash.
  * cancel-crash: Fix crash on cancellation.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Jun 2024 18:57:55 +0200

speech-dispatcher-contrib (0.12.0~rc3-1) experimental; urgency=medium

  * New upstream RC release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Apr 2024 01:10:54 +0200

speech-dispatcher-contrib (0.12.0~rc2-3) experimental; urgency=medium

  * rules: Drop dh_missing for the contrib package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Mar 2024 16:51:28 +0100

speech-dispatcher-contrib (0.12.0~rc2-2) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - Build-Depends on libsystemd-dev
    - update to compat 13 which default to dh_missing --fail-missing
  * debian/rules, debian/speech-dispatcher.install:
    - include the usr/lib/systemd/user directory which has the new
      socket activation entry (Closes: #1065081)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Mar 2024 02:23:49 +0100

speech-dispatcher-contrib (0.12.0~rc2-1) experimental; urgency=medium

  * New upstream RC release
    - patches/static: Upstreamed.
    - libspeechd2.symbols: Update.
    - speech-dispatcher.install: add sd_openjtalk.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Feb 2024 20:26:39 +0100

speech-dispatcher-contrib (0.12.0~rc1-1) experimental; urgency=medium

  * New upstream RC release
    - patches/static: Drop spurious symbol.
    - libspeechd2.symbols: Update.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Oct 2023 01:10:48 +0200

speech-dispatcher-contrib (0.11.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship alias for speech-dispatcherd.service as static symlink in the package
    instead of creating it on enable only (Closes: #1084827)
  * Do not attempt a start of speech-dispatcherd.service after a fresh
    install, as the service is disabled by default.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Oct 2024 17:07:25 +0200

speech-dispatcher-contrib (0.11.5-5) unstable; urgency=medium

  [ Nathan Teodosio ]
  * d/t/tests: Use trap to reverse patch so that iterating doesn't break
    (closes: #1076147).

  [ Samuel Thibault ]
  * control: Add python3-setuptools build-dep (Closes: Bug#1080804)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Sep 2024 17:44:47 +0200

speech-dispatcher-contrib (0.11.5-4) unstable; urgency=medium

  * control: Drop systemd build-dep, .pc files now provided by systemd-dev
    (Closes: Bug#1060556, Bug#1060599)
  * patches/implicit: Fix build with qa=+bug-implicit-func.
    (Closes: Bug#1066205)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 14:55:48 +0100

speech-dispatcher-contrib (0.11.5-3) unstable; urgency=medium

  * control: Enable voxin on armhf and arm64 archs.
  * patches/nopython: Fix building without python.
  * control: Move python dependencies to Build-Depends-Indep.
  * control: Disable help2man build-dep when cross-building and for contrib.
  * control: Build-dep on gawk.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Nov 2023 23:12:11 +0100

speech-dispatcher-contrib (0.11.5-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/clean: Clean generated files (Closes: Bug#1048264)

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir.
    (Closes: Bug#1052706)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Sep 2023 21:55:02 +0200

speech-dispatcher-contrib (0.11.5-1) unstable; urgency=medium

  * New upstream release.
    - patches/buffer_size: Upstreamed.
  * control: Drop dependency on elder version of lsb-base.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Aug 2023 20:16:54 +0200

speech-dispatcher-contrib (0.11.4-3) unstable; urgency=medium

  * control: Add missing breaks+replaces between speech-dispatcher-ivona and
    speech-dispatcher, missed when moving ivona.conf from the latter to the
    former (Closes: Bug#1034897)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Apr 2023 01:08:20 +0200

speech-dispatcher-contrib (0.11.4-2) unstable; urgency=medium

  * patches/buffer_size: Reduce espeak buffer size to avoid synth artifacts.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Nov 2022 14:04:48 +0100

speech-dispatcher-contrib (0.11.4-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Oct 2022 23:06:55 +0100

speech-dispatcher-contrib (0.11.3-2) unstable; urgency=medium

  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.
  * watch: Use API instead of releases page.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:29:15 +0200

speech-dispatcher-contrib (0.11.3-1) unstable; urgency=medium

  * New upstream release.
    - patches/systemd-debian: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Sep 2022 02:03:59 +0200

speech-dispatcher-contrib (0.11.2-3) unstable; urgency=medium

  * debian/speech-dispatcher.init, debian/patches/systemd-debian: Pass -t 0 to
    speech-dispatcher started as a daemon.
  * control: Make cl-speech-dispatcher and python3-speechd Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:26:12 +0200

speech-dispatcher-contrib (0.11.2-2) unstable; urgency=medium

  * test-patches/use_system_libspeechd: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2022 00:46:25 +0200

speech-dispatcher-contrib (0.11.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release (Closes: Bug#1018075)
    - patches/clibrary2: Upstreamed.
    - patches/mbrola-paths: Refresh.
    - libspeechd2.symbols: Add free_spd_symbolic_voices symbol.

  [ Sebastien Bacher ]
  * debian/speech-dispatcher.maintscript:
    - don't remove mary-generic.conf on upgrade, it's included in the
      package again. Fix conffile prompt on update (lp: #1981611)
      (Closes: Bug#1015804)

  [ Samuel Thibault ]
  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * speech-dispatcher.lintian-overrides: Update formatting.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2022 00:20:22 +0200

speech-dispatcher-contrib (0.11.1-3) unstable; urgency=medium

  * patches/clibrary2: avoid iterating over each and every voice.
  * tests/: Add testsuite in autopkgtest.
  * control: Drop recommending pulseaudio, so pipewire can be installed
    by installation tasks instead (Closes: Bug#1011361)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 May 2022 22:59:04 +0200

speech-dispatcher-contrib (0.11.1-2) unstable; urgency=medium

  * Continue playing cat and mice again with lintian warning suppression.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:48:11 +0100

speech-dispatcher-contrib (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Play cat and mice again with lintian warning suppression.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Jan 2022 01:53:42 +0100

speech-dispatcher-contrib (0.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Dec 2021 23:07:28 +0100

speech-dispatcher-contrib (0.11.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.
    - patches/dummy-message: upstreamed.
    - speech-dispatcher-espeak-ng.install: Add espeak-ng-mbrola module.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Nov 2021 00:53:29 +0100

speech-dispatcher-contrib (0.11.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.
    - control: Add flite build-depends.
  * control: Build-depend on libdumbtts-dev.
  * control: Add speech-dispatcher-ivona package.
  * copyright: Fix file path.
  * patches/mbrola-paths: Refresh.
  * patches/ivona-paths: Upstreamed.
  * patches/ivona-config: Upstreamed.
  * patches/generic-set-voice-name: Upstreamed.
  * patches/dummy-message: Add missing shipped file.
  * control: Set python3 build-dep arch-dep as well since we use dh-python3.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Oct 2021 00:06:03 +0200

speech-dispatcher-contrib (0.11.0~rc2-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * New upstream release candidate (Closes: #964955)
    - patches/mbrola-paths: Refresh.
    - speech-dispatcher.maintscript: Remove old mary-generic-disabled.conf
    configuration file.
    - control: Build speech-dispatcher-ibmtts only on i386.
  * speech-dispatcher.postinst, speech-dispatcher.maintscript: Remove upgrade
    path from 0.8.8, which is before Buster.
  * control: Set Rules-Requires-Root to no.
  * rules,salsa-ci.yml: Ignore specific blhc false positive rather than the
    whole result.
  * rules: Drop ddeb-migration rules, now useless

  [ Paul Wise ]
  * speech-dispatcher.links: Remove, replaced by Alias in the service file,
    and was put in the wrong place (Closes: Bug#995037).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 Jun 2021 00:07:32 +0200

speech-dispatcher-contrib (0.10.2-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * speech-dispatcher.postinst, speech-dispatcher.maintscript: Remove upgrade
    path from 0.8.8, which is before Buster.
  * control: Set Rules-Requires-Root to no.
  * control: Build-Depend on libdumbtts-dev for contrib.
  * control: Add speech-dispatcher-ivona contrib package.
  * speech-dispatcher-ivona.install: Install Ivona module.
  * patches/ivona-paths: Fix sound icons patch.
  * patches/ivona-config: Fix installation of ivona config file.
  * control: Make speech-dispatcher-ivona break+replace speech-dispatcher for
    the ivona config file.
  * speech-dispatcher.maintscript: Drop ivona.conf file.
  * rules: Disable ivona module for main builds.
  * source/lintian-overrides: Drop warnings.
  * rules,salsa-ci.yml: Ignore specific blhc false positive rather than the
    whole result.
  * rules: Drop ddeb-migration rules, now useless
  * patches/generic-set-voice-name: Fix setting voice name for the generic
    module.
  * patches/kali-glib-fix: Fix building Kali with more recent glib.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + speech-dispatcher-festival: Drop versioned constraint on
      festival-freebsoft-utils and speech-dispatcher in Depends.
    + speech-dispatcher-*: Drop versioned constraint on speech-dispatcher
      in Replaces/Breaks.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Sep 2021 15:55:15 +0200

speech-dispatcher-contrib (0.10.2-2) unstable; urgency=medium

  * speech-dispatcher: Handle moving configuration file from main package to
    baratinoo, ibmtts and kali contrib packages (Closes: Bug#976247).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 16 Dec 2020 01:17:56 +0100

speech-dispatcher-contrib (0.10.2-1) unstable; urgency=medium

  * New upstream release.
    - control, speech-dispatcher-voxin.install: Add speech-dispatcher-voxin
      package.
    - speech-dispatcher.maintscript: Remove espeak-generic.conf and
      pico-generic.conf config files.
    - libspeechd2.symbols: Update.
    - update lintian overrides.
  * Bump debhelper from 10 to 12.
    - control: Replace dh_systemd_enable with dh_installsystemd.
    - speech-dispatcher.install: Install spdsend.
    - speech-dispatcher.info: Install from installed path.
    - not-installed: Note that we don't install .la files, nor the static
      versions of sound helpers.
    - rules: Disable building plugins for non-free syntheses.
  * Move baratinoo, ibmtts, kali config files to contrib packages.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Nov 2020 01:18:56 +0100

speech-dispatcher-contrib (0.10.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/rules:
    - don't use dh_gencontrol -N on a non existent binary
      (specific to Ubuntu) (Closes: Bug#968319).

  [ Samuel Thibault ]
  * speech-dispatcher.maintscript: Remove old mary-generic.conf conf file
    (Closes: Bug#968483).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Aug 2020 00:11:57 +0200

speech-dispatcher-contrib (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Enable speech-dispatcher-ibmtts on amd64 too. ViaVoice is not
    actually available as 64bit binary, and the i386 package is simpler to just
    install and get ViaVoice running, but some people are still used to going
    through the voxin 64bit proxy; we can as well make their life easier by
    providing the amd64 build.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * watch: Use ~ for rc releases as well.
  * control: Revert adding libsystemd-dev, configure looks for systemd.pc, not
    libsystemd.pc

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Aug 2020 01:11:53 +0200

speech-dispatcher-contrib (0.10.0~rc4-2) experimental; urgency=medium

  * control: Add missing libsystemd-dev dependency to get systemd services
    path.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 16 Jul 2020 00:59:06 +0200

speech-dispatcher-contrib (0.10.0~rc4-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jul 2020 01:59:02 +0200

speech-dispatcher-contrib (0.10.0~rc3-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Apr 2020 21:28:37 +0200

speech-dispatcher-contrib (0.10.0~rc1-1) experimental; urgency=medium

  * New upstream pre-release.
    - patches/mbrola-paths: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Nov 2019 03:09:00 +0100

speech-dispatcher-contrib (0.9.1-5) unstable; urgency=medium

  * patches/no-common: Cherry-pick upstream fix for build with gcc-10
    (Closes: Bug#957830, Bug#966157).
  * patches/pulseaudio-latency: Fix default pulseaudio latency which triggers
    pulseaudio scratchy output.
  * NEWS.Debian: Rename to NEWS for debhelper to find it.
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Apr 2020 21:45:17 +0200

speech-dispatcher-contrib (0.9.1-4) unstable; urgency=medium

  [ Christian Göttsche ]
  * README.Debian, patches/systemd-debian, rules, speech-dispatcher.init,
    debian/speech-dispatcher.postinst, speech-dispatcher.postrm,
    speech-dispatcher.tmpfile: Use /run instead of /var/run (Closes: #912749).

  [ Steve Langasek ]
  * rules: Omit speech-dispatcher-festival on Ubuntu/i386 (Closes: #946554).

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Submit (from ./configure),
    Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database.

  [ Samuel Thibault ]
  * speech-dispatcher.init: Create cache dir as well (Closes: #948679).
  * patches/no-generic: Prevent generic module from being loaded without a
    specific config file.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 19:26:24 +0100

speech-dispatcher-contrib (0.9.1-3) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/man: Add descriptions to NAME sections of manpages.
  * watch: Generalize pattern.
  * control: Make libspeechd-dev depend on libglib2.0-dev.
  * source/lintian-overrides: Ignore warnings about substvar between main and
    contrib packages.
  * speech-dispatcher.{postinst,preinst,postrm}: Move rm_conffile call to
    speech-dispatcher.maintscript.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 13:58:59 +0100

speech-dispatcher-contrib (0.9.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 14:48:52 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog speech-dispatcher-baratinoo`.
